Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.types
Class BytesRange

    java.lang.Object
      org.fourthline.cling.model.types.BytesRange

    public class BytesRange

extends Object

Author:
  Mario Franco

Field Summary
`static String` | `PREFIX`

Constructor Summary
`BytesRange(Long firstByte, Long lastByte)`
`BytesRange(Long firstByte, Long lastByte, Long byteLength)`

Method Summary
`Long` | `getByteLength()`
`Long` | `getFirstByte()`
`Long` | `getLastByte()`
`String` | `getString()`
`String` | `getString(boolean includeDuration)`
`String` | `getString(boolean includeDuration, String rangePrefix)`
`static BytesRange` | `valueOf(String s)`
`static BytesRange` | `valueOf(String s, String rangePrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### BytesRange

    public BytesRange(Long firstByte,
                      Long lastByte)

### BytesRange

    public BytesRange(Long firstByte,
                      Long lastByte,
                      Long byteLength)

Method Detail

### getFirstByte

    public Long getFirstByte()

  Returns:
    the firstByte

### getLastByte

    public Long getLastByte()

  Returns:
    the lastByte

### getByteLength

    public Long getByteLength()

  Returns:
    the byteLength

### getString

    public String getString()

  Returns:
    String format of Bytes Range for response message header

### getString

    public String getString(boolean includeDuration)

  Returns:
    String format of Bytes Range for response message header

### getString

    public String getString(boolean includeDuration,
                            String rangePrefix)

  Returns:
    String format of Bytes Range for response message header

### valueOf

    public static BytesRange valueOf(String s)
                              throws InvalidValueException

  Throws:
    `InvalidValueException`

### valueOf

    public static BytesRange valueOf(String s,
                                     String rangePrefix)
                              throws InvalidValueException

  Throws:
    `InvalidValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.